zenilib: Zeni Namespace Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Namespaces | Classes | Typedefs | Enumerations | Functions | Variables
Zeni Namespace Reference

## Namespaces

| Collision
| Global

## Classes

class | Camera
| Camera / Point of View. More...
class | Check_Box
| A Check Box. More...
class | Chronometer
| A stoppable running timer. More...
struct | Color
| Color. More...
class | Colors
| A Color database read in from a file. More...
class | Configurator_Video
| Configure zenilib.xml. More...
struct | Console_Function
class | Console_State
| Provide a text console to process commands. More...
class | Controllers
| The Controllers Singleton. More...
struct | Controllers_Init_Failure
class | Core
| The Core Singleton. More...
struct | Core_Init_Failure
class | Database
| A Texture Database Singleton. More...
struct | Database_Entry_Not_Found
struct | Database_File_Not_Loaded
struct | Database_Load_Entry_Failed
struct | Error
| The Error Class. More...
class | Event
class | File_Ops
struct | File_Ops_Asset_Load_Failure
struct | File_Ops_Init_Failure
struct | File_Ops_Initialized
struct | Fog
| An Abstraction of Fog. More...
class | Font
| Font Abstraction. More...
class | Font_FT
struct | Font_Init_Failure
struct | Font_Type_Unsupported
class | Fonts
| A Font database read in from a file. More...
class | Fragment_Shader
| A shader for manipulating fragment/pixel data as it is streamed through the GPU. More...
struct | Frame_Out_of_Range
class | Game
| The Gamestate Stack. More...
class | Gamestate
| A smartpointer for a Gamestate_Base. More...
class | Gamestate_Base
| The base class for all gamestates. More...
class | Gamestate_II
| A new Gamestate base with an Integrated Input technique. More...
class | Gamestate_Zero_Initializer
struct | GLSL_ES_Shader_Compilation_Failure
class | Image
| Image. More...
struct | Image_Index_Error
struct | Image_Init_Failure
struct | Invalid_Vertex_Index
class | Light
| An Abstraction of a Light. More...
struct | Light_Out_of_Range
class | Line_Segment
| An Abstraction of a Line. More...
class | Logo
| Logo. More...
class | Material
| An Abstraction of a Material. More...
class | Matrix4f
| A Featureful 4-Space Matrix Class. More...
class | Model
| An Abstraction of a 3D Model. More...
class | Model_Extents
| A visitor for determining the extents or bounds of a model. More...
struct | Model_Init_Failure
struct | Model_Render_Failure
class | Model_Visitor
| A visitor base class. More...
class | Net
| The Net Singleton. More...
struct | Net_Init_Failure
struct | Null_Database_Entry_Set
class | Point2f
| A 2D Point represented with floats. More...
class | Point2i
| A 2D Point represented with integers. More...
class | Point3f
| A 3D Point represented with floats. More...
class | Point3i
| A 3D Point represented with integers. More...
class | Popup_Menu_State
class | Popup_Menu_State_Factory
class | Popup_Pause_State
class | Popup_Pause_State_Factory
class | Popup_State
class | Program
class | Program_DX9
class | Program_GL_Fixed
class | Program_GL_Shader
class | Projector
| Projector Base Class. More...
class | Projector2D
| The 2D Projector. More...
class | Projector3D
| The 3D Projector. More...
class | Quadrilateral
| An Abstraction of a Quadrilateral. More...
class | Quaternion
| A Featureful Quaternion Class. More...
struct | Quit_Event
| A class to signal that the program is quitting. More...
class | Radio_Button
| A Radio Button. More...
class | Radio_Button_Set
| A Set of Radio Buttons. More...
class | Random
| A Random Number Generator. More...
class | Renderable
| A Renderable Interface. More...
class | Resource
| A Resource Assignement Singleton. More...
struct | Resource_Init_Failure
class | Selector
class | Serializable
| A base class for objects that can be sent over the network. More...
class | Shader
| A base class for Vertex_Shader and Fragment_Shader. More...
class | Shader_DX9
class | Shader_GL_Fixed
class | Shader_GL_Shader
struct | Shader_Init_Failure
struct | Shader_Link_Failure
class | Shader_System
| A rendering context for Cg. More...
class | Singleton
class | Slider
| A Slider. More...
class | Slider_Int
struct | Socket_Closed
class | Sound
| The Sound Singleton. More...
class | Sound_Buffer
| Stores Sound Data. More...
struct | Sound_Buffer_Init_Failure
struct | Sound_Init_Failure
class | Sound_Renderer
class | Sound_Renderer_AL
class | Sound_Renderer_NULL
class | Sound_Source
| Plays Sound Data. More...
class | Sound_Source_HW
| Plays Sound Data. More...
struct | Sound_Source_HW_Init_Failure
class | Sound_Source_Pool
| This class manages Sound_Sources. More...
class | Sound_Stream_AL
struct | Sound_Stream_Init_Failure
struct | Sound_Stream_Ogg_Read_Failure
struct | Sound_Stream_Update_Failure
class | Sounds
| A Sound_Buffer Database Singleton. More...
class | Split_UDP_Socket
| A higher level UDP_Socket. More...
class | Sprite
struct | Sprite_Containing_Sprite
struct | Sprite_Function_Misapplied
class | String
class | TCP_Listener
| A Socket for accepting new TCP connections (in the form of TCP_Sockets) More...
class | TCP_Socket
| A TCP Socket for sending and receiving data. More...
struct | TCP_Socket_Init_Failure
class | Text_Box
| A Text_Box. More...
class | Text_Button
| A Text Button Widget. More...
class | Texture
| An Abstraction of a Texture. More...
class | Texture_DX9
class | Texture_GL
struct | Texture_Init_Failure
class | Textures
| A Texture Database Singleton. More...
class | Time
| A Snapshot of the Timer. More...
class | Time_HQ
| A Snapshot of the Timer_HQ. More...
class | Timer
| A Timer Singleton. More...
class | Timer_HQ
| A High Quality Timer Singleton. More...
struct | Timer_HQ_Init_Failure
class | Title_State
| Provide a simple title screen for games. More...
class | Triangle
| An Abstraction of a Triangle. More...
struct | UDP_Packet_Overflow
class | UDP_Socket
| A UDP Socket for sending and receiving data. More...
struct | UDP_Socket_Init_Failure
class | Unordered_Map
class | Unordered_Map< String, Ty >
struct | VBuf_Init_Failure
struct | VBuf_Render_Failure
class | Vector2f
| A 2-Space Vector Class. More...
class | Vector3f
| A Featureful 3-Space Vector Class. More...
class | Vertex2f
class | Vertex2f_Color
| An Abstraction of a Vertex in 2-space, colored. More...
class | Vertex2f_Texture
| An Abstraction of a Vertex in 2-space, textured. More...
class | Vertex3f
class | Vertex3f_Color
| An Abstraction of a Vertex in 3-space, colored. More...
class | Vertex3f_Texture
| An Abstraction of a Vertex in 3-space, textured. More...
class | Vertex_Buffer
| A Vertex_Buffer that accepts Triangle and Quadrilaterals. More...
class | Vertex_Buffer_Macrorenderer
class | Vertex_Buffer_Microrenderer
class | Vertex_Buffer_Renderer
class | Vertex_Buffer_Renderer_DX9
class | Vertex_Buffer_Renderer_GL_Fixed
class | Vertex_Buffer_Renderer_GL_Shader
class | Vertex_Shader
| A shader for manipulating vertex data as it is streamed through the GPU. More...
class | Video
| The Video Rendering Singleton. More...
struct | Video_Device_Failure
class | Video_DX9
| The Direct3D9 Rendering System. More...
class | Video_GL_Fixed
| The OpenGL Rendering System. More...
class | Video_GL_Shader
| The OpenGL Rendering System. More...
struct | Video_Init_Failure
struct | Video_Render_To_Texture_Error
class | VLUID
| Variable Length Unique IDentifier. More...
struct | VLUID_Too_Large
class | Widget
| The Widget base class. More...
class | Widget_Button
| A Button Widget. More...
class | Widget_Gamestate
| Gamestate with some helpers for dealing with Widgets. More...
class | Widget_Input_Repeater
| An Input Repeater Class. More...
class | Widget_Rectangle
| Rectangle positioning. More...
class | Widget_Rectangle_Color
| A Colored Rectangle Widget. More...
class | Widget_Rectangle_Texture
| A Textured Rectangle Widget. More...
class | Widget_Render_Function
class | Widget_Renderer_Check_Box
class | Widget_Renderer_Color
class | Widget_Renderer_Pair
class | Widget_Renderer_Slider
class | Widget_Renderer_Text
class | Widget_Renderer_Texture
class | Widget_Renderer_Tricolor
class | Widget_Renderer_Wrong_Type
class | Widget_Text
| Widget Text rendering. More...
class | Widgets
| A Widget Set. More...
class | Window
| The Window Management Singleton. More...
struct | Window_Init_Failure
struct | XML_Create_Child_Failure
class | XML_Document
| A class to open an XML file and manage the root node. More...
struct | XML_Document_Ungood
class | XML_Element
| A node in an XML tree, possibly containing useful data. More...
class | XML_Element_c
struct | XML_Element_Nonleaf
struct | XML_Element_Ungood
struct | XML_Load_Failure
struct | XML_Remove_Child_Failure
struct | XML_Save_Failure
struct | Zeni_Input_ID
struct | Zero_Gamestate

## Typedefs

typedef long double | HQ_Tick_Type
typedef VLUID | Nonce

## Enumerations

enum | FOG_TYPE { FOG_LINEAR = 1, FOG_EXP = 2, FOG_EXP2 = 3 }
enum | JUSTIFY { ZENI_LEFT = 0, ZENI_CENTER = 1, ZENI_RIGHT = 2 }
enum | LIGHT_TYPE { LIGHT_POINT = 1, LIGHT_SPOT = 2, LIGHT_DIRECTIONAL = 3 }

## Functions

template<typename VERTEX >
void | align_similar_normals (const VERTEX v0, Triangle< VERTEX > &t1, const int &which)
template<typename VERTEX >
static void | align_similar_normals (std::vector< Triangle< VERTEX > * > &triangles, std::vector< Vertex_Buffer::Vertex_Buffer_Range * > &descriptors)
template<typename VERTEX >
static void | clear_triangles (std::vector< Triangle< VERTEX > * > &triangles, std::vector< Vertex_Buffer::Vertex_Buffer_Range * > &descriptors)
void | decrement_sprite_frame (const String &sprite_name)
String | dtoa (const double &number)
String | dtoa (const double &number, const unsigned int &precision)
String | ftoa (const float &number)
String | ftoa (const float &number, const unsigned int &precision)
Colors & | get_Colors ()
| Get access to the singleton. More...
Controllers & | get_Controllers ()
| Get access to the singleton. More...
Core & | get_Core ()
| Get access to the singleton. More...
File_Ops & | get_File_Ops ()
| Get access to the singleton. More...
Fonts & | get_Fonts ()
| Get access to the singleton. More...
Game & | get_Game ()
| Get access to the singleton. More...
Net & | get_Net ()
| Get access to the singleton. More...
Resource & | get_Resource ()
| Get access to the singleton. More...
Sound & | get_Sound ()
| Get access to the singleton. More...
Sound_Source_Pool & | get_Sound_Source_Pool ()
| Get access to the singleton. More...
Sounds & | get_Sounds ()
| Get access to the singleton. More...
Textures & | get_Textures ()
| Get access to the singleton. More...
Timer & | get_Timer ()
| Get access to the singleton. More...
Timer_HQ & | get_Timer_HQ ()
| Get access to the singleton. More...
Video & | get_Video ()
| Get access to the singleton. More...
Window & | get_Window ()
| Get access to the singleton. More...
GLint | gluBuild2DMipmaps (GLenum target, GLint internalFormat, GLsizei width, GLsizei height, GLenum format, GLenum type, const void *data)
const GLubyte * | gluErrorString (GLenum error)
size_t | grab_bytes (std::istream &is, char *const &store, const size_t &num_bytes)
size_t | grab_bytes (std::istream &is, String &store, const size_t &num_bytes)
void | increment_sprite_frame (const String &sprite_name)
String | iptoa (const IPaddress &address)
bool | is_sprite (const String &sprite)
String | itoa (const int &number)
String | ldtoa (const long double &number)
String | lltoa (const long &number)
String | ltoa (const long &number)
template<typename T1 , typename T2 >
Widget_Renderer_Pair< T1, T2 > * | make_Widget_Renderer_Pair (const T1 *const &first_, const bool &delete_first_, const T2 *const &second_, const bool &delete_second_)
void | message_box (const char *const &msg)
void | message_box (const String &msg)
Vector2f | operator* (const float &lhs, const Vector2f &rhs)
| Get the scalar multiple. More...
Quaternion | operator* (const float &lhs, const Quaternion &rhs)
Vector3f | operator* (const float &lhs, const Vector3f &rhs)
| Get the scalar multiple. More...
Quaternion | operator/ (const float &lhs, const Quaternion &rhs)
void | play_sound (const String &sound_name, const float &pitch, const float &gain, const Point3f &position, const Vector3f &velocity)
static void | render (const Vertex_Buffer_Macrorenderer &macrorenderer, std::vector< Vertex_Buffer::Vertex_Buffer_Range * > &descriptors)
static void | render (const Vertex_Buffer_Macrorenderer &macrorenderer, std::vector< Vertex_Buffer::Vertex_Buffer_Range * > &descriptors, Vertex_Buffer_Renderer_DX9::VBO_DX9 &vbo_dx9, const unsigned int &stride, Video_DX9 &vdx)
void | render_image (const String &image_name, const Point2f &upper_left, const Point2f &lower_right, const bool &horizontally_flipped, const Color &color_filter)
void | render_image (const String &image_name, const Point2f &upper_left, const Point2f &lower_right, const float &radians_ccw, const float &scaling_factor, const Point2f &about, const bool &horizontally_flipped, const Color &color_filter)
std::ostream & | serialize (std::ostream &os, const Point2i &value)
std::ostream & | serialize (std::ostream &os, const Point2f &value)
std::ostream & | serialize (std::ostream &os, const Point3i &value)
std::ostream & | serialize (std::ostream &os, const Point3f &value)
std::ostream & | serialize (std::ostream &os, const Color &value)
std::ostream & | serialize (std::ostream &os, const Vector2f &value)
std::ostream & | serialize (std::ostream &os, const Serializable &value)
std::ostream & | serialize (std::ostream &os, const Vector3f &value)
template<typename TYPE >
std::ostream & | serialize (std::ostream &os, const std::list< TYPE > &list_)
std::ostream & | serialize (std::ostream &os, const Quaternion &value)
template<typename TYPE >
std::ostream & | serialize (std::ostream &os, const std::set< TYPE > &list_)
template<typename TYPE >
std::ostream & | serialize (std::ostream &os, const std::vector< TYPE > &list_)
std::ostream & | serialize (std::ostream &os, const Matrix4f &value)
std::ostream & | serialize (std::ostream &os, const Sint32 &value)
std::ostream & | serialize (std::ostream &os, const Uint32 &value)
std::ostream & | serialize (std::ostream &os, const Sint16 &value)
std::ostream & | serialize (std::ostream &os, const Uint16 &value)
std::ostream & | serialize (std::ostream &os, const Sint8 &value)
std::ostream & | serialize (std::ostream &os, const char &value)
std::ostream & | serialize (std::ostream &os, const unsigned char &value)
std::ostream & | serialize (std::ostream &os, const float &value)
std::ostream & | serialize (std::ostream &os, const double &value)
std::ostream & | serialize (std::ostream &os, const IPaddress &address)
std::ostream & | serialize (std::ostream &os, const String &string)
void | set_sprite_frame (const String &sprite, const int &frame_number)
static void | sound_quicksort (const std::vector< Sound_Source * >::iterator &begin, const std::vector< Sound_Source * >::iterator &end, const Sound_Source_Pool::Replacement_Policy &policy)
int | sprite_num_frames (const String &sprite)
String | stoa (const short &number)
timespec | subtract (const timespec &lhs, const timespec &rhs)
long double | to_seconds (const timespec &ticks)
long double | to_useconds (const timespec &ticks)
String | uitoa (const unsigned int &number)
String | ulltoa (const unsigned long &number)
String | ultoa (const unsigned long &number)
std::istream & | unserialize (std::istream &is, Point2i &value)
std::istream & | unserialize (std::istream &is, Point2f &value)
std::istream & | unserialize (std::istream &is, Color &value)
std::istream & | unserialize (std::istream &is, Point3i &value)
std::istream & | unserialize (std::istream &is, Vector2f &value)
std::istream & | unserialize (std::istream &is, Point3f &value)
std::istream & | unserialize (std::istream &is, Vector3f &value)
std::istream & | unserialize (std::istream &is, Serializable &value)
template<typename TYPE >
std::istream & | unserialize (std::istream &is, std::list< TYPE > &list_)
std::istream & | unserialize (std::istream &is, Quaternion &value)
template<typename TYPE >
std::istream & | unserialize (std::istream &is, std::set< TYPE > &list_)
std::istream & | unserialize (std::istream &is, Matrix4f &value)
template<typename TYPE >
std::istream & | unserialize (std::istream &is, std::vector< TYPE > &list_)
std::istream & | unserialize (std::istream &is, Sint32 &value)
std::istream & | unserialize (std::istream &is, Uint32 &value)
std::istream & | unserialize (std::istream &is, Sint16 &value)
std::istream & | unserialize (std::istream &is, Uint16 &value)
std::istream & | unserialize (std::istream &is, Sint8 &value)
std::istream & | unserialize (std::istream &is, char &value)
std::istream & | unserialize (std::istream &is, unsigned char &value)
std::istream & | unserialize (std::istream &is, float &value)
std::istream & | unserialize (std::istream &is, double &value)
std::istream & | unserialize (std::istream &is, IPaddress &address)
std::istream & | unserialize (std::istream &is, String &string)
String | ustoa (const unsigned short &number)
static bool | widget_layer_less (const Widget *const &lhs, const Widget *const &rhs)
static bool | window_mode_lt (const Point2i &lhs, const Point2i &rhs)

## Variables

int | g_argc = 0
const char *const * | g_argv = 0
Gamestate_Zero_Initializer * | g_gzi = 0
static bool | g_video_dx9_reset = false
void * | this_pointer_is_dead_beef = (void *)0xDEADBEEF
void * | this_pointer_is_silent_sound_too = (void *)0xDEADBEEF
void * | this_pointer_is_silent_sound_two = (void *)0xDEADBEEF

## Typedef Documentation

typedef long double Zeni::HQ_Tick_Type

High Quality Timer Below

Definition at line 69 of file Timer_HQ.h.

typedef VLUID Zeni::Nonce

Definition at line 78 of file VLUID.h.

## Enumeration Type Documentation

enum Zeni::FOG_TYPE

Enumerator
FOG_LINEAR |
FOG_EXP |
FOG_EXP2 |

Definition at line 45 of file Fog.h.

enum Zeni::JUSTIFY

Enumerator
ZENI_LEFT |
ZENI_CENTER |
ZENI_RIGHT |

Definition at line 68 of file Font.h.

enum Zeni::LIGHT_TYPE

Enumerator
LIGHT_POINT |
LIGHT_SPOT |
LIGHT_DIRECTIONAL |

Definition at line 55 of file Light.h.

## Function Documentation

template<typename VERTEX >

void Zeni::align_similar_normals | ( | const VERTEX | v0,
|  | Triangle< VERTEX > & | t1,
|  | const int & | which
| ) |  |

inline

Definition at line 346 of file Vertex_Buffer.cpp.

References ALIKENESS_THRESHOLD, CLOSENESS_THRESHOLD_SQUARED, and fabs().

Referenced by align_similar_normals().

template<typename VERTEX >

static void Zeni::align_similar_normals | ( | std::vector< Triangle< VERTEX > * > & | triangles,
|  | std::vector< Vertex_Buffer::Vertex_Buffer_Range * > & | descriptors
| ) |  |

static

Definition at line 365 of file Vertex_Buffer.cpp.

References align_similar_normals(), CLOSENESS_THRESHOLD, i, and u.

template<typename VERTEX >

static void Zeni::clear_triangles | ( | std::vector< Triangle< VERTEX > * > & | triangles,
|  | std::vector< Vertex_Buffer::Vertex_Buffer_Range * > & | descriptors
| ) |  |

static

Definition at line 63 of file Vertex_Buffer.cpp.

Referenced by Zeni::Vertex_Buffer::~Vertex_Buffer().

void Zeni::decrement_sprite_frame | ( | const String & | image_name | ) |

Decrement the current_frame for a Sprite, with wrap-around.

Definition at line 128 of file EZ2D.cpp.

References frameno, Zeni::Sprite::get_current_frame(), Zeni::Database< TYPE >::get_id(), Zeni::Sprite::get_num_frames(), get_Textures(), and Zeni::Sprite::set_current_frame().

String Zeni::dtoa | ( | const double & | number | ) |

Definition at line 174 of file Serialization.cpp.

References ZENI_SPRINTF_BUFFER_SIZE.

Referenced by Zeni::XML_Element::set_double().

String Zeni::dtoa | ( | const double & | number,
|  | const unsigned int & | precision
| ) |  |

Definition at line 185 of file Serialization.cpp.

String Zeni::ftoa | ( | const float & | number | ) |

Definition at line 157 of file Serialization.cpp.

References ZENI_SPRINTF_BUFFER_SIZE.

Referenced by Zeni::Font_FT::Font_FT(), and Zeni::XML_Element::set_float().

String Zeni::ftoa | ( | const float & | number,
|  | const unsigned int & | precision
| ) |  |

Definition at line 168 of file Serialization.cpp.

Colors & Zeni::get_Colors | ( |  | ) |

Get access to the singleton.

Definition at line 51 of file Colors.cpp.

Referenced by Zeni::Configurator_Video::Check_State::Check_State(), Zeni::Title_State< PLAY_STATE, INSTRUCTIONS_STATE >::perform_logic(), Zeni::Popup_State::render(), Zeni::Popup_Pause_State::render(), Zeni::Popup_Menu_State::Sound_Check_Box::render_impl(), Zeni::Slider::Slider(), and Zeni::Title_State< PLAY_STATE, INSTRUCTIONS_STATE >::Title_State().

Controllers & Zeni::get_Controllers | ( |  | ) |

Get access to the singleton.

Definition at line 59 of file Controllers.cpp.

References Zeni::Singleton< Controllers >::get().

Referenced by Zeni::Gamestate_Base::on_active(), Zeni::Game::on_event(), Zeni::Popup_State::on_push(), Zeni::Title_State< PLAY_STATE, INSTRUCTIONS_STATE >::on_uncover(), and Zeni::Game::run().

Core & Zeni::get_Core | ( |  | ) |

Get access to the singleton.

Definition at line 71 of file Core.cpp.

References Zeni::Singleton< Core >::get().

Referenced by android_main(), engine_handle_input(), Zeni::Popup_State::on_pop(), Zeni::Popup_State::on_push(), Zeni::Window::Window(), and Zeni::Window::~Window().

File_Ops & Zeni::get_File_Ops | ( |  | ) |

Get access to the singleton.

Definition at line 118 of file File_Ops.cpp.

Referenced by Zeni::Video::change_resolution(), load_config(), Zeni::Video::revert(), and Zeni::Video::save().

Fonts & Zeni::get_Fonts | ( |  | ) |

Get access to the singleton.

Definition at line 60 of file Fonts.cpp.

References Zeni::Singleton< TYPE >::get().

Referenced by Zeni::Video_GL_Fixed::begin_prerender(), Zeni::Video_GL_Shader::begin_prerender(), Zeni::Video_DX9::begin_prerender(), Zeni::Text_Box::get_Font(), Zeni::Popup_Pause_State::render(), Zeni::Popup_Menu_State::Sound_Check_Box::render_impl(), Zeni::Widget_Renderer_Text::render_to(), and Zeni::Text_Box::Text_Box().

Game & Zeni::get_Game | ( |  | ) |

Get access to the singleton.

Definition at line 58 of file Game.cpp.

Referenced by engine_draw_frame(), Zeni::Gamestate_II::fire_missed_events(), main2(), Zeni::Title_State< PLAY_STATE, INSTRUCTIONS_STATE >::Play_Button::on_accept(), Zeni::Title_State< PLAY_STATE, INSTRUCTIONS_STATE >::Instructions_Button::on_accept(), Zeni::Popup_Menu_State::Configure_Video_Button::on_accept(), Zeni::Gamestate_Base::on_active(), Zeni::Popup_Pause_State::on_active(), Zeni::Title_State< PLAY_STATE, INSTRUCTIONS_STATE >::on_cover(), Zeni::Gamestate_II::on_event(), Zeni::Popup_State::on_key(), Zeni::Gamestate_Base::on_key(), Zeni::Text_Box::on_key(), Zeni::Widget_Button::on_mouse_motion(), Zeni::Widget_Gamestate::on_pop(), Zeni::Popup_Menu_State::on_pop(), Zeni::Widget_Gamestate::on_push(), Zeni::Title_State< PLAY_STATE, INSTRUCTIONS_STATE >::on_push(), Zeni::Popup_Menu_State::on_push(), Zeni::Title_State< PLAY_STATE, INSTRUCTIONS_STATE >::on_uncover(), and Zeni::Gamestate_Base::to_char().

Net & Zeni::get_Net | ( |  | ) |

Get access to the singleton.

Definition at line 72 of file Net.cpp.

References Zeni::Singleton< Net >::get().

Referenced by Zeni::TCP_Listener::TCP_Listener(), Zeni::TCP_Socket::TCP_Socket(), Zeni::UDP_Socket::UDP_Socket(), and Zeni::TCP_Listener::~TCP_Listener().

Resource & Zeni::get_Resource | ( |  | ) |

Get access to the singleton.

Definition at line 35 of file Resource.cpp.

References Zeni::Singleton< Resource >::get().

Referenced by Zeni::Database< TYPE >::give(), and Zeni::Database< TYPE >::lend().

Sound & Zeni::get_Sound | ( |  | ) |

Get access to the singleton.

Definition at line 220 of file Sound.cpp.

References Zeni::Singleton< Sound >::get().

Referenced by Zeni::Sound_Source_HW::get_duration(), Zeni::Sound_Stream_AL::get_gain(), Zeni::Sound_Source_HW::get_gain(), Zeni::Sound_Source_HW::get_state(), Zeni::Sound_Source_HW::get_time(), Zeni::Sound_Source_HW::is_looping(), Zeni::Popup_Menu_State::Sound_Check_Box::on_accept(), Zeni::Sound_Source_HW::pause(), Zeni::Sound_Source_HW::play(), Zeni::Popup_Menu_State::Sound_Check_Box::render_impl(), Zeni::Game::run(), Zeni::Sound_Source_HW::set_buffer(), Zeni::Sound_Stream_AL::set_gain(), Zeni::Sound_Source_HW::set_gain(), Zeni::Sound_Source_HW::set_looping(), Zeni::Sound_Stream_AL::set_time(), Zeni::Sound_Source_HW::set_time(), Zeni::Popup_Menu_State::Sound_Check_Box::Sound_Check_Box(), Zeni::Sound_Stream_AL::Sound_Stream_AL(), and Zeni::Sound_Source_HW::stop().

Sound_Source_Pool & Zeni::get_Sound_Source_Pool | ( |  | ) |

Get access to the singleton.

Definition at line 347 of file Sound_Source_Pool.cpp.

References Zeni::Singleton< Sound_Source_Pool >::get().

Referenced by engine_handle_input(), Zeni::Popup_State::on_pop(), Zeni::Popup_State::on_push(), play_sound(), Zeni::Game::run(), Zeni::Sound_Source::Sound_Source(), and Zeni::Sound_Source::~Sound_Source().

Sounds & Zeni::get_Sounds | ( |  | ) |

Get access to the singleton.

Definition at line 62 of file Sounds.cpp.

Referenced by play_sound().

Textures & Zeni::get_Textures | ( |  | ) |

Get access to the singleton.

Definition at line 64 of file Textures.cpp.

References Zeni::Singleton< TYPE >::get().

Referenced by Zeni::Sprite::append_frame(), Zeni::Sprite::apply_Texture(), Zeni::Video_GL_Shader::apply_Texture(), Zeni::Video_GL_Fixed::apply_Texture(), Zeni::Video_DX9::apply_Texture(), Zeni::Video::apply_Texture(), Zeni::Video_GL_Shader::begin_prerender(), Zeni::Video_GL_Fixed::begin_prerender(), Zeni::Video_DX9::begin_prerender(), decrement_sprite_frame(), Zeni::Sprite::get_size(), increment_sprite_frame(), Zeni::Sprite::insert_frame(), is_sprite(), Zeni::Material::set(), set_sprite_frame(), Zeni::Material::set_Texture(), Zeni::Textures::set_texturing_mode(), and sprite_num_frames().

Timer & Zeni::get_Timer | ( |  | ) |

Get access to the singleton.

Definition at line 73 of file Timer.cpp.

References Zeni::Singleton< Timer >::get().

Referenced by Zeni::Video_GL_Fixed::end_render(), Zeni::Video_GL_Shader::end_render(), Zeni::Time::get_ticks_passed(), Zeni::Widget_Input_Repeater::on_key(), Zeni::Widget_Input_Repeater::perform_logic(), Zeni::Text_Box::render_impl(), Zeni::Text_Box::seek(), Zeni::Text_Box::seek_cursor(), and Zeni::Time::update().

Timer_HQ & Zeni::get_Timer_HQ | ( |  | ) |

Get access to the singleton.

Definition at line 123 of file Timer_HQ.cpp.

References Zeni::Singleton< Timer_HQ >::get().

Referenced by Zeni::Time_HQ::get_ticks_passed(), Zeni::Time_HQ::operator=(), and Zeni::Time_HQ::update().

Video & Zeni::get_Video | ( |  | ) |

Get access to the singleton.

Definition at line 149 of file Video.cpp.

References Zeni::Singleton< TYPE >::get().

Referenced by Zeni::Texture_DX9::apply_Texture(), Zeni::Configurator_Video::Configurator_Video(), Zeni::Vertex_Buffer::debug_render(), engine_draw_frame(), main2(), Modern_State::Modern_State(), Zeni::Widget_Gamestate::on_pop(), Zeni::Widget_Gamestate::on_push(), Zeni::Widget_Gamestate::perform_logic(), Zeni::Title_State< PLAY_STATE, INSTRUCTIONS_STATE >::perform_logic(), Zeni::Renderable::post_render(), Zeni::Renderable::pre_render(), Zeni::Widget_Gamestate::render(), Zeni::Popup_State::render(), Zeni::Gamestate_Base::render(), Zeni::Model::render(), Zeni::Vertex_Buffer::render(), Zeni::Vertex_Buffer_Renderer_GL_Fixed::render(), Zeni::Vertex_Buffer_Renderer_DX9::render(), Zeni::Widget::render(), render(), render_image(), Zeni::Popup_Menu_State::Sound_Check_Box::render_impl(), Zeni::Selector::render_impl(), Zeni::Text_Box::render_impl(), Zeni::Font_FT::render_text(), Zeni::Widget_Renderer_Color::render_to(), Zeni::Widget_Renderer_Texture::render_to(), Zeni::Widget_Renderer_Check_Box::render_to(), Zeni::Widget_Renderer_Slider::render_to(), Zeni::Video::revert(), Zeni::Game::run(), Zeni::Textures::set_texturing_mode(), Zeni::Texture_DX9::Texture_DX9(), Zeni::Title_State< PLAY_STATE, INSTRUCTIONS_STATE >::Title_State(), Zeni::Vertex_Buffer_Renderer_DX9::Vertex_Buffer_Renderer_DX9(), Zeni::Vertex_Buffer_Renderer_GL_Fixed::Vertex_Buffer_Renderer_GL_Fixed(), Modern_State::~Modern_State(), Zeni::Title_State< PLAY_STATE, INSTRUCTIONS_STATE >::~Title_State(), and Zeni::Vertex_Buffer_Renderer_GL_Fixed::~Vertex_Buffer_Renderer_GL_Fixed().

Window & Zeni::get_Window | ( |  | ) |

Get access to the singleton.

Definition at line 392 of file Window.cpp.

References Zeni::Singleton< TYPE >::get().

Referenced by android_main(), Zeni::Video_GL_Fixed::begin_render(), Zeni::Video_GL_Shader::begin_render(), Zeni::Video_DX9::begin_render(), Zeni::Video::change_resolution(), Zeni::Configurator_Video::Configurator_Video(), Zeni::Video_DX9::create_Texture(), Zeni::Video_GL_Fixed::end_render(), Zeni::Video_GL_Shader::end_render(), engine_init_display(), Zeni::Window::get_mouse_state(), Zeni::Video_GL_Shader::get_render_target_size(), Zeni::Video_GL_Fixed::get_render_target_size(), Zeni::Video_DX9::get_render_target_size(), Zeni::Video_GL_Shader::init(), Zeni::Video_GL_Fixed::init(), Zeni::Video_DX9::init(), Zeni::Gamestate_Base::on_active(), Zeni::Widget_Gamestate::on_pop(), Zeni::Widget_Gamestate::on_push(), Zeni::Title_State< PLAY_STATE, INSTRUCTIONS_STATE >::on_uncover(), Zeni::Widget_Gamestate::perform_logic(), Zeni::Game::run(), Zeni::Window::set_mouse_state(), Zeni::Video_GL_Fixed::set_viewport(), Zeni::Video_GL_Shader::set_viewport(), Zeni::Video::Video(), and Zeni::Configurator_Video::~Configurator_Video().

GLint Zeni::gluBuild2DMipmaps | ( | GLenum | target,
|  | GLint | internalFormat,
|  | GLsizei | width,
|  | GLsizei | height,
|  | GLenum | format,
|  | GLenum | type,
|  | const void * | data
| ) |  |

Definition at line 22 of file GLU.cpp.

References gluBuild2DMipmaps().

Referenced by gluBuild2DMipmaps().

const GLubyte * Zeni::gluErrorString | ( | GLenum | error | ) |

Definition at line 26 of file GLU.cpp.

References gluErrorString().

Referenced by gluErrorString(), and Zeni::Video::print_errors().

size_t Zeni::grab_bytes | ( | std::istream & | is,
|  | char *const & | store,
|  | const size_t & | num_bytes
| ) |  |

Definition at line 212 of file Serialization.cpp.

References i, and u.

Referenced by grab_bytes().

size_t Zeni::grab_bytes | ( | std::istream & | is,
|  | String & | store,
|  | const size_t & | num_bytes
| ) |  |

Definition at line 223 of file Serialization.cpp.

References Zeni::String::c_str(), grab_bytes(), and Zeni::String::resize().

void Zeni::increment_sprite_frame | ( | const String & | image_name | ) |

Increment the current_frame for a Sprite, with wrap-around.

Definition at line 107 of file EZ2D.cpp.

References frameno, Zeni::Sprite::get_current_frame(), Zeni::Database< TYPE >::get_id(), Zeni::Sprite::get_num_frames(), get_Textures(), and Zeni::Sprite::set_current_frame().

String Zeni::iptoa | ( | const IPaddress & | address | ) |

Definition at line 202 of file Serialization.cpp.

References IPaddress::host, IPaddress::port, SDLNet_Read16, SDLNet_Read32, and uitoa().

bool Zeni::is_sprite | ( | const String & | image_name | ) |

Check to see if an image_name refers to a Sprite.

Definition at line 84 of file EZ2D.cpp.

References get_Textures(), and Zeni::Textures::is_Sprite().

String Zeni::itoa | ( | const int & | number | ) |

Definition at line 98 of file Serialization.cpp.

References ZENI_SPRINTF_BUFFER_SIZE.

Referenced by SDL_itoa(), Zeni::XML_Element::set_bool(), and Zeni::XML_Element::set_int().

String Zeni::ldtoa | ( | const long double & | number | ) |

Definition at line 191 of file Serialization.cpp.

References ZENI_SPRINTF_BUFFER_SIZE.

String Zeni::lltoa | ( | const long & | number | ) |

Definition at line 150 of file Serialization.cpp.

References ZENI_SPRINTF_BUFFER_SIZE.

String Zeni::ltoa | ( | const long & | number | ) |

Definition at line 120 of file Serialization.cpp.

References ZENI_SPRINTF_BUFFER_SIZE.

template<typename T1 , typename T2 >

Widget_Renderer_Pair< T1, T2 > * Zeni::make_Widget_Renderer_Pair | ( | const T1 *const & | first_,
|  | const bool & | delete_first_,
|  | const T2 *const & | second_,
|  | const bool & | delete_second_
| ) |  |

Definition at line 234 of file Widget.hxx.

void Zeni::message_box | ( | const char *const & | msg | ) |

inline

Definition at line 60 of file Error.h.

References Zeni::String::c_str(), and mac_message_box().

Referenced by Zeni::Database< TYPE >::load_file(), main2(), and message_box().

void Zeni::message_box | ( | const String & | msg | ) |

inline

Definition at line 80 of file Error.h.

References Zeni::String::c_str(), and message_box().

Vector2f Zeni::operator* | ( | const float & | lhs,
|  | const Vector2f & | rhs
| ) |  |

inline

Get the scalar multiple.

Definition at line 115 of file Vector2f.hxx.

Quaternion Zeni::operator* | ( | const float & | lhs,
|  | const Quaternion & | rhs
| ) |  |

inline

< Get the scalar multiple

Definition at line 110 of file Quaternion.h.

Vector3f Zeni::operator* | ( | const float & | lhs,
|  | const Vector3f & | rhs
| ) |  |

inline

Get the scalar multiple.

Definition at line 134 of file Vector3f.hxx.

Quaternion Zeni::operator/ | ( | const float & | lhs,
|  | const Quaternion & | rhs
| ) |  |

inline

< Get the scalar... something

Definition at line 114 of file Quaternion.h.

void Zeni::play_sound | ( | const String & | sound_name,
|  | const float & | pitch = `ZENI_DEFAULT_PITCH`,
|  | const float & | gain = `ZENI_DEFAULT_GAIN`,
|  | const Point3f & | position = `Point3f()`,
|  | const Vector3f & | velocity = `Vector3f()`
| ) |  |

Play a sound effect.

Definition at line 351 of file Sound_Source_Pool.cpp.

References get_Sound_Source_Pool(), get_Sounds(), and Zeni::Sound_Source_Pool::Sound_Source.

Referenced by engine_handle_input().

static void Zeni::render | ( | const Vertex_Buffer_Macrorenderer & | macrorenderer,
|  | std::vector< Vertex_Buffer::Vertex_Buffer_Range * > & | descriptors
| ) |  |

static

Definition at line 581 of file Vertex_Buffer.cpp.

References get_Video(), i, Zeni::Video::set_Material(), u, and Zeni::Video::unset_Material().

Referenced by ft_add_renderer(), FT_Get_Glyph(), ft_remove_renderer(), Zeni::Vertex_Buffer_Renderer_GL_Fixed::render(), Zeni::Vertex_Buffer_Renderer_GL_Shader::render(), Zeni::Vertex_Buffer_Renderer_DX9::render(), and Zeni::Game::run().

static void Zeni::render | ( | const Vertex_Buffer_Macrorenderer & | macrorenderer,
|  | std::vector< Vertex_Buffer::Vertex_Buffer_Range * > & | descriptors,
|  | Vertex_Buffer_Renderer_DX9::VBO_DX9 & | vbo_dx9,
|  | const unsigned int & | stride,
|  | Video_DX9 & | vdx
| ) |  |

static

Definition at line 953 of file Vertex_Buffer.cpp.

References Zeni::Vertex_Buffer_Renderer_DX9::VBO_DX9::VBO_DX9_impl::alt, Zeni::Vertex_Buffer_Renderer_DX9::VBO_DX9::data, i, Zeni::Vertex_Buffer_Renderer_DX9::VBO_DX9::is_vbo, Zeni::Video_DX9::set_Material(), u, and Zeni::Video_DX9::unset_Material().

void Zeni::render_image | ( | const String & | image_name,
|  | const Point2f & | upper_left,
|  | const Point2f & | lower_right,
|  | const bool & | horizontally_flipped = `false`,
|  | const Color & | color_filter = `Color()`
| ) |  |

Render an image in 2D by specifying the coordinates of its corners in screenspace. (0,0) is upper_left, (width, height) is lower_right.

Note
  If lighting is enabled, then odd effects may result if ambient_lighting is set to anything other than the default.

Definition at line 22 of file EZ2D.cpp.

References get_Video(), Zeni::Renderable::lend_Material(), Zeni::Video::render(), Zeni::Point2f::x, and Zeni::Point2f::y.

void Zeni::render_image | ( | const String & | image_name,
|  | const Point2f & | upper_left,
|  | const Point2f & | lower_right,
|  | const float & | radians_ccw,
|  | const float & | scaling_factor,
|  | const Point2f & | about,
|  | const bool & | horizontally_flipped = `false`,
|  | const Color & | color_filter = `Color()`
| ) |  |

Render an image with rotation and scaling.

This works identically to the function with fewer arguments but it takes the extra step of rotating around and scaling away from a given point.

Note
  If lighting is enabled, then odd effects may result if ambient_lighting is set to anything other than the default.

Definition at line 45 of file EZ2D.cpp.

References get_Video(), Zeni::Renderable::lend_Material(), Zeni::Vector3f::magnitude(), Zeni::Vector3f::phi(), Zeni::Video::render(), Zeni::Vector3f::set_spherical(), Zeni::Vector3f::theta(), Zeni::Point2f::x, and Zeni::Point2f::y.

std::ostream & Zeni::serialize | ( | std::ostream & | os,
|  | const Point2i & | value
| ) |  |

Definition at line 51 of file Coordinate.cpp.

References serialize(), Zeni::Point2i::x, and Zeni::Point2i::y.

std::ostream & Zeni::serialize | ( | std::ostream & | os,
|  | const Point2f & | value
| ) |  |

Definition at line 55 of file Coordinate.cpp.

References serialize(), Zeni::Point2f::x, and Zeni::Point2f::y.

std::ostream & Zeni::serialize | ( | std::ostream & | os,
|  | const Point3i & | value
| ) |  |

Definition at line 59 of file Coordinate.cpp.

References serialize(), Zeni::Point3i::x, Zeni::Point3i::y, and Zeni::Point3i::z.

std::ostream & Zeni::serialize | ( | std::ostream & | os,
|  | const Point3f & | value
| ) |  |

Definition at line 63 of file Coordinate.cpp.

References serialize(), Zeni::Point3f::x, Zeni::Point3f::y, and Zeni::Point3f::z.

std::ostream & Zeni::serialize | ( | std::ostream & | os,
|  | const Color & | value
| ) |  |

Definition at line 68 of file Color.cpp.

References Zeni::Color::a, Zeni::Color::b, Zeni::Color::g, and Zeni::Color::r.

Referenced by Zeni::Split_UDP_Socket::send(), serialize(), and Zeni::Serializable::serialize().

std::ostream & Zeni::serialize | ( | std::ostream & | os,
|  | const Vector2f & | value
| ) |  |

Definition at line 74 of file Vector2f.cpp.

References Zeni::Vector2f::i, Zeni::Vector2f::j, and serialize().

std::ostream& Zeni::serialize | ( | std::ostream & | os,
|  | const Serializable & | value
| ) |  |

inline

Definition at line 99 of file Serialization.h.

References Zeni::Serializable::serialize().

std::ostream & Zeni::serialize | ( | std::ostream & | os,
|  | const Vector3f & | value
| ) |  |

Definition at line 101 of file Vector3f.cpp.

References Zeni::Vector3f::i, Zeni::Vector3f::j, Zeni::Vector3f::k, and serialize().

template<typename TYPE >

std::ostream& Zeni::serialize | ( | std::ostream & | os,
|  | const std::list< TYPE > & | list_
| ) |  |

Definition at line 130 of file Serialization.h.

References serialize().

std::ostream & Zeni::serialize | ( | std::ostream & | os,
|  | const Quaternion & | value
| ) |  |

Definition at line 151 of file Quaternion.cpp.

References serialize(), Zeni::Quaternion::space, and Zeni::Quaternion::time.

template<typename TYPE >

std::ostream& Zeni::serialize | ( | std::ostream & | os,
|  | const std::set< TYPE > & | list_
| ) |  |

Definition at line 155 of file Serialization.h.

References serialize().

template<typename TYPE >

std::ostream& Zeni::serialize | ( | std::ostream & | os,
|  | const std::vector< TYPE > & | list_
| ) |  |

Definition at line 180 of file Serialization.h.

References serialize().

std::ostream & Zeni::serialize | ( | std::ostream & | os,
|  | const Matrix4f & | value
| ) |  |

Definition at line 185 of file Matrix4f.cpp.

References u.

std::ostream & Zeni::serialize | ( | std::ostream & | os,
|  | const Sint32 & | value
| ) |  |

Definition at line 243 of file Serialization.cpp.

References bp, and SDLNet_Write32.

std::ostream & Zeni::serialize | ( | std::ostream & | os,
|  | const Uint32 & | value
| ) |  |

Definition at line 252 of file Serialization.cpp.

References bp, and SDLNet_Write32.

std::ostream & Zeni::serialize | ( | std::ostream & | os,
|  | const Sint16 & | value
| ) |  |

Definition at line 261 of file Serialization.cpp.

References bp, and SDLNet_Write16.

std::ostream & Zeni::serialize | ( | std::ostream & | os,
|  | const Uint16 & | value
| ) |  |

Definition at line 270 of file Serialization.cpp.

References bp, and SDLNet_Write16.

std::ostream & Zeni::serialize | ( | std::ostream & | os,
|  | const Sint8 & | value
| ) |  |

Definition at line 279 of file Serialization.cpp.

std::ostream & Zeni::serialize | ( | std::ostream & | os,
|  | const char & | value
| ) |  |

Definition at line 283 of file Serialization.cpp.

std::ostream & Zeni::serialize | ( | std::ostream & | os,
|  | const unsigned char & | value
| ) |  |

Definition at line 287 of file Serialization.cpp.

std::ostream & Zeni::serialize | ( | std::ostream & | os,
|  | const float & | value
| ) |  |

Definition at line 291 of file Serialization.cpp.

std::ostream & Zeni::serialize | ( | std::ostream & | os,
|  | const double & | value
| ) |  |

Definition at line 295 of file Serialization.cpp.

std::ostream & Zeni::serialize | ( | std::ostream & | os,
|  | const IPaddress & | address
| ) |  |

Definition at line 304 of file Serialization.cpp.

std::ostream & Zeni::serialize | ( | std::ostream & | os,
|  | const String & | string
| ) |  |

Definition at line 310 of file Serialization.cpp.

References serialize().

void Zeni::set_sprite_frame | ( | const String & | image_name,
|  | const int & | frame_number
| ) |  |

Set the current_frame for a Sprite.

Definition at line 98 of file EZ2D.cpp.

References get_Textures(), and Zeni::Textures::set_current_frame().

static void Zeni::sound_quicksort | ( | const std::vector< Sound_Source * >::iterator & | begin,
|  | const std::vector< Sound_Source * >::iterator & | end,
|  | const Sound_Source_Pool::Replacement_Policy & | policy
| ) |  |

static

Definition at line 180 of file Sound_Source_Pool.cpp.

Referenced by Zeni::Sound_Source_Pool::update().

int Zeni::sprite_num_frames | ( | const String & | image_name | ) |

Find out how many frames a Sprite has.

Definition at line 91 of file EZ2D.cpp.

References Zeni::Textures::get_num_frames(), and get_Textures().

String Zeni::stoa | ( | const short & | number | ) |

Definition at line 76 of file Serialization.cpp.

References ZENI_SPRINTF_BUFFER_SIZE.

timespec Zeni::subtract | ( | const timespec & | lhs,
|  | const timespec & | rhs
| ) |  |

Definition at line 35 of file Timer_HQ.cpp.

long double Zeni::to_seconds | ( | const timespec & | ticks | ) |

Definition at line 50 of file Timer_HQ.cpp.

long double Zeni::to_useconds | ( | const timespec & | ticks | ) |

Definition at line 54 of file Timer_HQ.cpp.

Referenced by Zeni::Timer_HQ::get_ticks(), and Zeni::Timer_HQ::get_time().

String Zeni::uitoa | ( | const unsigned int & | number | ) |

Definition at line 87 of file Serialization.cpp.

References ZENI_SPRINTF_BUFFER_SIZE.

Referenced by iptoa().

String Zeni::ulltoa | ( | const unsigned long & | number | ) |

Definition at line 144 of file Serialization.cpp.

References ZENI_SPRINTF_BUFFER_SIZE.

String Zeni::ultoa | ( | const unsigned long & | number | ) |

Definition at line 109 of file Serialization.cpp.

References ZENI_SPRINTF_BUFFER_SIZE.

std::istream & Zeni::unserialize | ( | std::istream & | is,
|  | Point2i & | value
| ) |  |

Definition at line 67 of file Coordinate.cpp.

References unserialize(), Zeni::Point2i::x, and Zeni::Point2i::y.

std::istream & Zeni::unserialize | ( | std::istream & | is,
|  | Point2f & | value
| ) |  |

Definition at line 71 of file Coordinate.cpp.

References unserialize(), Zeni::Point2f::x, and Zeni::Point2f::y.

std::istream & Zeni::unserialize | ( | std::istream & | is,
|  | Color & | value
| ) |  |

Definition at line 72 of file Color.cpp.

References Zeni::Color::a, Zeni::Color::b, Zeni::Color::g, and Zeni::Color::r.

Referenced by Zeni::Split_UDP_Socket::receive(), unserialize(), and Zeni::Serializable::unserialize().

std::istream & Zeni::unserialize | ( | std::istream & | is,
|  | Point3i & | value
| ) |  |

Definition at line 75 of file Coordinate.cpp.

References unserialize(), Zeni::Point3i::x, Zeni::Point3i::y, and Zeni::Point3i::z.

std::istream & Zeni::unserialize | ( | std::istream & | is,
|  | Vector2f & | value
| ) |  |

Definition at line 78 of file Vector2f.cpp.

References Zeni::Vector2f::i, Zeni::Vector2f::j, and unserialize().

std::istream & Zeni::unserialize | ( | std::istream & | is,
|  | Point3f & | value
| ) |  |

Definition at line 79 of file Coordinate.cpp.

References unserialize(), Zeni::Point3f::x, Zeni::Point3f::y, and Zeni::Point3f::z.

std::istream & Zeni::unserialize | ( | std::istream & | is,
|  | Vector3f & | value
| ) |  |

Definition at line 105 of file Vector3f.cpp.

References Zeni::Vector3f::i, Zeni::Vector3f::j, Zeni::Vector3f::k, and unserialize().

std::istream& Zeni::unserialize | ( | std::istream & | is,
|  | Serializable & | value
| ) |  |

inline

Definition at line 114 of file Serialization.h.

References Zeni::Serializable::unserialize().

template<typename TYPE >

std::istream& Zeni::unserialize | ( | std::istream & | is,
|  | std::list< TYPE > & | list_
| ) |  |

Definition at line 139 of file Serialization.h.

References i, TYPE, u, and unserialize().

std::istream & Zeni::unserialize | ( | std::istream & | is,
|  | Quaternion & | value
| ) |  |

Definition at line 155 of file Quaternion.cpp.

References Zeni::Quaternion::space, Zeni::Quaternion::time, and unserialize().

template<typename TYPE >

std::istream& Zeni::unserialize | ( | std::istream & | is,
|  | std::set< TYPE > & | list_
| ) |  |

Definition at line 164 of file Serialization.h.

References i, TYPE, u, and unserialize().

std::istream & Zeni::unserialize | ( | std::istream & | is,
|  | Matrix4f & | value
| ) |  |

Definition at line 189 of file Matrix4f.cpp.

References u.

template<typename TYPE >

std::istream& Zeni::unserialize | ( | std::istream & | is,
|  | std::vector< TYPE > & | list_
| ) |  |

Definition at line 189 of file Serialization.h.

References i, TYPE, u, and unserialize().

std::istream & Zeni::unserialize | ( | std::istream & | is,
|  | Sint32 & | value
| ) |  |

Definition at line 315 of file Serialization.cpp.

References bp, and SDLNet_Read32.

std::istream & Zeni::unserialize | ( | std::istream & | is,
|  | Uint32 & | value
| ) |  |

Definition at line 327 of file Serialization.cpp.

References bp, and SDLNet_Read32.

std::istream & Zeni::unserialize | ( | std::istream & | is,
|  | Sint16 & | value
| ) |  |

Definition at line 337 of file Serialization.cpp.

References bp, and SDLNet_Read16.

std::istream & Zeni::unserialize | ( | std::istream & | is,
|  | Uint16 & | value
| ) |  |

Definition at line 349 of file Serialization.cpp.

References bp, and SDLNet_Read16.

std::istream & Zeni::unserialize | ( | std::istream & | is,
|  | Sint8 & | value
| ) |  |

Definition at line 359 of file Serialization.cpp.

std::istream & Zeni::unserialize | ( | std::istream & | is,
|  | char & | value
| ) |  |

Definition at line 364 of file Serialization.cpp.

std::istream & Zeni::unserialize | ( | std::istream & | is,
|  | unsigned char & | value
| ) |  |

Definition at line 369 of file Serialization.cpp.

std::istream & Zeni::unserialize | ( | std::istream & | is,
|  | float & | value
| ) |  |

Definition at line 374 of file Serialization.cpp.

std::istream & Zeni::unserialize | ( | std::istream & | is,
|  | double & | value
| ) |  |

Definition at line 378 of file Serialization.cpp.

std::istream & Zeni::unserialize | ( | std::istream & | is,
|  | IPaddress & | address
| ) |  |

Definition at line 391 of file Serialization.cpp.

References memcpy.

std::istream & Zeni::unserialize | ( | std::istream & | is,
|  | String & | string
| ) |  |

Definition at line 400 of file Serialization.cpp.

References unserialize().

String Zeni::ustoa | ( | const unsigned short & | number | ) |

Definition at line 65 of file Serialization.cpp.

References ZENI_SPRINTF_BUFFER_SIZE.

static bool Zeni::widget_layer_less | ( | const Widget *const & | lhs,
|  | const Widget *const & | rhs
| ) |  |

static

Definition at line 1471 of file Widget.cpp.

References Zeni::Widget::get_layer().

Referenced by Zeni::Widgets::on_key(), Zeni::Widgets::on_mouse_button(), Zeni::Widgets::on_mouse_motion(), Zeni::Widgets::perform_logic(), and Zeni::Widgets::render_impl().

static bool Zeni::window_mode_lt | ( | const Point2i & | lhs,
|  | const Point2i & | rhs
| ) |  |

static

Definition at line 43 of file Window.cpp.

References Zeni::Point2i::x, and Zeni::Point2i::y.

Referenced by Zeni::Window::Window().

## Variable Documentation

int Zeni::g_argc = 0

Definition at line 32 of file Game.cpp.

Referenced by main2().

const char *const * Zeni::g_argv = 0

Definition at line 33 of file Game.cpp.

Referenced by main2().

Gamestate_Zero_Initializer * Zeni::g_gzi = 0

Definition at line 31 of file Game.cpp.

Referenced by main2().

bool Zeni::g_video_dx9_reset = false

static

Definition at line 161 of file Video_DX9.cpp.

Referenced by Zeni::Video_DX9::begin_prerender(), and Zeni::Video_DX9::begin_render().

void* Zeni::this_pointer_is_dead_beef = (void *)0xDEADBEEF

Definition at line 851 of file Video_DX9.cpp.

void* Zeni::this_pointer_is_silent_sound_too = (void *)0xDEADBEEF

Definition at line 98 of file Sound_Renderer_SLES.cpp.

void* Zeni::this_pointer_is_silent_sound_two = (void *)0xDEADBEEF

Definition at line 270 of file Sound_Stream_AL.cpp.